Bug 241899 - ports-mgmt/psearch: unbreak, update MASTER_SITES
Summary: ports-mgmt/psearch: unbreak, update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-12 00:20 UTC by p5B2E9A8F
Modified: 2019-11-17 11:53 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mail)


Attachments
svn-diff-MASTER_SITES (795 bytes, patch)
2019-11-15 22:10 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description p5B2E9A8F 2019-11-12 00:20:29 UTC
The host serving the source of the port ports-mgmt/psearch disappeared from the Internet. This PR intends to rescue this port from nirwana.

If you have the source archive in your distfiles cache please make it available to a friendly hosting server.

Psearch is a very useful utility for searching FreeBSD ports offline even without having the whole ports-tree installed. All it needs is a INDEX file in /usr/ports. That makes this little tool so unique and useful for fast searching the FreeBSD ports. I think it is worth to rescue this port. 

Thank you for help.
Comment 1 Kurt Jaeger freebsd_committer 2019-11-12 02:29:20 UTC
It's now at https://opsec.eu/src/psearch-2.0.2.tar.gz
Comment 2 p5B2E9A8F 2019-11-14 12:16:11 UTC
(In reply to Kurt Jaeger from comment #1)
Thank you Kurt. Now as the source is fetchable,
could you please remove the broken flag?
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-11-15 22:10:06 UTC
Created attachment 209172 [details]
svn-diff-MASTER_SITES
Comment 4 commit-hook freebsd_committer 2019-11-17 11:52:33 UTC
A commit references this bug:

Author: pi
Date: Sun Nov 17 11:51:46 UTC 2019
New revision: 517818
URL: https://svnweb.freebsd.org/changeset/ports/517818

Log:
  ports-mgmt/psearch: update MASTER_SITES, unbreak

  - take maintainer, because status of old maintainer undefined

  PR:		241899
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Reported by:	p5B2E9A8F@t-online.de

Changes:
  head/ports-mgmt/psearch/Makefile
  head/ports-mgmt/psearch/distinfo
Comment 5 Kurt Jaeger freebsd_committer 2019-11-17 11:53:13 UTC
Committed, thanks!